org.apache.cassandra.index.sasi.plan

## Class Expression.Bound

- java.lang.Object
- - org.apache.cassandra.index.sasi.plan.Expression.Bound

Enclosing class:
  Expression

    public static class Expression.Bound
    extends java.lang.Object

### Field Summary

Fields
`boolean` `inclusive`
`java.nio.ByteBuffer` `value`

### Constructor Summary

Constructors
Constructor and Description
`Bound(java.nio.ByteBuffer value, boolean inclusive)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object other)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public final java.nio.ByteBuffer value

#### inclusive

    public final boolean inclusive

### Constructor Detail

#### Bound

    public Bound(java.nio.ByteBuffer value,
                 boolean inclusive)

### Method Detail

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`